Bug 1296121 - XIM: When commiting with a space, it is inserted before a hangul character rather than after it
Summary: XIM: When commiting with a space, it is inserted before a hangul character ra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-hangul
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-06 11:42 UTC by Petr Šabata
Modified: 2018-07-11 20:19 UTC (History)
6 users (show)

Fixed In Version: ibus-hangul-1.5.0-13.fc28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 20:19:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 675503 None None None Never

Internal Links: 675503

Description Petr Šabata 2016-01-06 11:42:14 UTC
Description of problem:
This appears to be a recurring issue; I recall this was fixed a few times
already :) The behavior is similar to #675503.  However, only XIM appears
to be affected this time; the input works fine in a GTK+v2 application.

Version-Release number of selected component (if applicable):
ibus-1.5.11-1.fc23.x86_64
ibus-libs-1.5.11-1.fc23.x86_64
ibus-hangul-1.5.0-5.fc23.x86_64
ibus-gtk2-1.5.11-1.fc23.x86_64

How reproducible:
Always with XIM.  Never with GTK+v2.

Steps to Reproduce:
1. Run ibus with XIM
   ibus-daemon -x
2. Set your environment and run something that uses it, e.g. xterm --
   export XMODIFIERS='@im=ibus'
   xterm
3. Type some hangul and commit with a space, e.g. "하나 둘 셋"
   (input being "gksk enf tpt ")

Actual results:
"하 나 둘 셋"

Expected results:
"하나 둘 셋 "

Additional info:

Comment 1 fujiwara 2016-01-07 01:01:33 UTC
Yes, ibus-x11 has been changed to use sync APIs now.
I suggest to fix ibus-hangul with the similar patch of bug #1291238.

Comment 2 Petr Šabata 2016-10-11 10:05:34 UTC
I've switched to F24 meanwhile.  This is still happening.

ibus-1.5.13-3.fc24.x86_64
ibus-libs-1.5.13-3.fc24.x86_64
ibus-hangul-1.5.0-6.fc24.x86_64

Comment 3 fujiwara 2016-10-12 02:46:55 UTC
(In reply to fujiwara from comment #1)
> Yes, ibus-x11 has been changed to use sync APIs now.
> I suggest to fix ibus-hangul with the similar patch of bug #1291238.

I noticed the similar patch does not work since it sends key codes but not strings.
Need to think another solution.

Comment 4 Fedora End Of Life 2016-11-24 14:44:24 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Petr Šabata 2016-11-24 16:10:02 UTC
Still happening even on F25...

Comment 6 Jan Kurik 2017-08-15 09:36:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Petr Šabata 2018-06-26 17:48:48 UTC
FYI, still happening on F28.

Comment 8 Peng Wu 2018-06-27 09:35:05 UTC
I will check if the ForwardKeyEvent signal helps.

Comment 9 Fedora Update System 2018-07-03 08:06:53 UTC
ibus-hangul-1.5.0-13.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d2cc39662

Comment 10 Fedora Update System 2018-07-04 18:19:53 UTC
ibus-hangul-1.5.0-13.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d2cc39662

Comment 11 Petr Šabata 2018-07-07 16:26:42 UTC
That fixes it!  Thank you :)

Comment 12 Fedora Update System 2018-07-11 20:19:47 UTC
ibus-hangul-1.5.0-13.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.